Foreman - Feature #1513

RFE: more granular support for RedHat Enterprise Linux

02/29/2012 08:10 AM - Jim Perrin

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Facts
Target version:
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1429033 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7528
Description

Since RHEL has several branched distros within it, it would be helpful to differentiate between them. For example, RHEL Server

should be a different OS/distro from RHEL Workstation, etc.

Seems that parsing facter's values for Isbdistid or Isbdistdescription would be the easiest method to go about this.

Related issues:

Copied to Ansible - Feature #29363: RFE: more granular support for RedHat Ent...

Copied to Chef - Feature #29364: RFE: more granular support for RedHat Enterp...

Copied to Salt - Feature #29365: RFE: more granular support for RedHat Enterp...

Copied to Katello - Feature #29366: RFE: more granular support for RedHat Ent...
New
Associated revisions

Revision 9a25215¢ - 04/01/2020 01:17 PM - Marek Hulan
Fixes #1513 - distinguish between RHEL 7 Server and Workstation

When facts are received we parse them and create/assign the operating
system of a host accordingly. We didn't correctly detect the right RHEL

7 distribution and considered every RHEL 7 as Server. For people having
both variants in their infrastructure, this caused problems.

With this patch, RHEL 7 Workstations is recognized as
RedHat_Workstation, the OS can't contain spaces. We don't have other
attribute to distinguish these distributions and it's not worth

introducing it as a separate attribute, since this concept was replaced
by system purpose in RHEL 8.

History

#1 - 03/06/2019 08:02 AM - Marek Hulan
- Bugzilla link set to 1685650

#2 - 03/06/2019 08:06 AM - Marek Hulan
- Bugzilla link changed from 1685650 to 1429033

#3 - 03/17/2020 03:34 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/7528 added

#4 - 03/17/2020 03:58 PM - Marek Hulan

- Copied to Feature #29363: RFE: more granular support for RedHat Enterprise Linux added
#5 - 03/17/2020 03:59 PM - Marek Hulan
- Copied to Feature #29364: RFE: more granular support for RedHat Enterprise Linux added

#6 - 03/17/2020 04:00 PM - Marek Hulan
- Copied to Feature #29365: RFE: more granular support for RedHat Enterprise Linux added

#7 - 03/17/2020 04:00 PM - Marek Hulan
- Copied to Feature #29366: RFE: more granular support for RedHat Enterprise Linux added

#8 - 04/01/2020 01:17 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#9 - 04/01/2020 02:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 9a25215c4c6bc4ac2084{65c02b46a163b5fc80c.

#10 - 05/14/2020 08:51 AM - Amit Upadhye

- Category set to Facts
